Subject: bug#56323: 29.0.50; [v2] Add new customisable phonetic Tamil input method

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 10:46:00 +0300

> Cc: [email-masked]
> Date: Sat, 02 Jul 2022 10:35:18 +0300
> From: Eli Zaretskii <[email-masked]>
> 
>   (defun sort-by-codepoint (c1 c2)
>     (< (string-to-char c1) (string-to-char c2)))
> 
>   (let ((core-consonants '("க" "ங" "ச" "ஞ" "ட" "ண" "த"
> 			   "ந" "ப" "ம" "ய" "ர" "ல"
> 			   "வ" "ழ" "ள" "ற" "ன")))
> 
>  (sort core-consonants 'sort-by-codepoint))
>   => ("க" "ங" "ச" "ஞ" "ட" "ண" "த" "ந" "ன" "ப" "ம" "ய" "ர" "ற" "ல" "ள" "ழ" "வ")
> 
> (To understand why, read the doc string of 'sort' carefully, where it
> explains what is expected from PREDICATE.)

Hmm... but if I use string-lessp instead of sort-by-codepoint, I get
the same result, as I'd expect.  Which probably means I'm still
missing something.